; This is an auxiliary routine used by the I68000 Inverse Assembler
;
; Assemble with:
;    as09 I68000-aux.s -f r -o aux.bin
;

        ORG $4f70

var1:	FDB  $3330
var2:	FDB  $4720
var3:	FDB  $3234
var4:	FDB  $3134

;
; Entry point
;
		jsr  $f072		; I suspect these are checks to determine instrument
                        ; model (suffix).
		cmpx var1       ;
		bne  .skip      ;
		cmpd var2
		bne  .skip

		jsr  $f075

		cmpx var3
		bne  .skip
		cmpd var4
		bne  .skip

		; I think this code is for G suffix instruments...it doesn't make
		; much sense with my D's ROM. (jumps into the middle of known functions
		; and so on- that doesn't seem right)

		orcc #$50		; disable interrupts
		lda  #3
		jsr  $f5c9
		pshs x
		lda  #5
		jsr  $f5c9
		pshs x
		ldx  #$17
		lda  #3
		jsr  $f624
		ldx  #9
		lda  #5
		jsr  $f624
		ldx  #$3000
		ldu  #$5000
		ldy  #$1000

.cpy:	lda  ,x+
		sta  ,u+
		leay -1,y
		bne  .cpy

		lda  #$d0 ; '-'
		sta  $5cc1
		ldx  #0
		stx  $eea
		puls x
		lda  #5
		jsr  $f624
		puls x
		lda  #3
		jsr  $f624
		bra  .done

		;
		; End of that stuff
		;

.skip:	ldd  #$808
		jsr  $f06f		; returns X=2a2d D=ffff
		ldd  #0
		std  ,x

.done:	ldd  #$80c
		jsr  $f06f		; returns X=2a2b D=ffff
		ldd  #0
		std  ,x

		andcc #$af		; re-enable interrupts
		rts
