; This is the binary loader used by the I8085 Inverse Assembler
;
; Assemble with:
;    as09 I8085-loader.s -f r -o loader.bin
;

        ORG $3000

		ldd  #$00b4		; U3K table, offset $B4
		jsr  $f06f		; ROM call "long_find"
		lda  #$01		;   returns: X=28D3 D=FFFF
		sta  ,x			; Write a 1 to $28D3

		ldd  #$0c30		; U3K table, offset $C30
		jsr  $f06f		; ROM call "long_find"
		tfr  x,y		;   returns: X=5C3D D=2121
						; Y = X

		jsr  $f078		; ROM routine "long_call"
		FCB $03,$48		; parameter for above
						; Yes, really.  The routine at $F078 inspects the two
						; bytes after the caller's stored PC and uses them as
						; a parameter to long_find.
						; ( so, internally, this is X=F5DE D=FFFF and this     )
						; ( routine ultimately jumps to the address saved in Y )
		rts
