#!/usr/bin/env python
#
# Wrap a learn string in a "LIF" header
# esde 2019
#
import sys, struct

types = {
	"ia":      "\xff\x05",
	"program": "\xff\x06"
}

hdrsize = "\x00\x20"
unk1 = "XX"

# Check args
if len(sys.argv) != 5:
	print 'usage: addlif.py [in.ls] [file type] [name, max 28] [out.lif]'
	print '  valid types are: ', ", ".join(types.keys())
	print '  name must be contained in quotes'
	sys.exit(1)

# Check file type argument
if not types.has_key(sys.argv[2]):
	print 'invalid file type specified'

type = types[sys.argv[2]]

# Clamp name to maximum, or pad with spaces as needed
desc = sys.argv[3].ljust(28)[0:28]

# Read input
fp = open(sys.argv[1], 'rb')
LS = fp.read()
fp.close()

# Write output
fp = open(sys.argv[4], 'wb')
fp.write(hdrsize)
fp.write(type)
fp.write(unk1)
fp.write(desc)
fp.write(struct.pack('>H', len(LS) + 2))	# +2 for 0xFF 0xFF end marker
fp.write(LS)
fp.write("\xff\xff")

# Pad output to nearest 256 byte boundary (sector size)
pos = fp.tell()
fp.write("\x00" * (256 - (pos % 256)))

fp.close()
